/**
 * 
 */
package net.zhypower.sample;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;

/**
 * onCreate()で、counter=1;onResume()で、counter+=1;onPause()で、counter+=1
 * 
 * @author Wenlai Zhao
 */
public class CounterActivity extends Activity{
	
	private int counter = 0;
	private TextView counterTextView;
	@Override
	public void onCreate(Bundle savedInstanceState) {
	        super.onCreate(savedInstanceState);
	        setContentView(R.layout.counter);
	        counter = 0;
	        counterTextView = (TextView)findViewById(R.id.counter);
	        counterTextView.setText(""+counter);
	}
	
	@Override
	public void onResume() {
		super.onResume();
		counter+=1;
		counterTextView.setText(""+counter);
	}
	
	@Override
	public void onPause() {
		super.onPause();
		counter+=1;
	}
	
	@Override
	public void onDestroy() {
	    super.onDestroy();
	}
	
	public int getCounter() {
		return counter;
	}
}
