package net.zhypower.sample;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * @author Wenlai Zhao
 */
public class UserParcelable implements Parcelable {
	public UserParcelable() {

	}

	public UserParcelable(String id, String cd, String name, String sex) {
		this.userid = id;
		this.password = cd;
		this.age = name;
		this.sex = sex;
	}

	private String userid;
	private String password;
	private String age;
	private String sex;

	/**
	 * @return the userid
	 */
	public String getUserid() {
		return userid;
	}

	/**
	 * @param userid
	 *            the userid to set
	 */
	public void setUserid(String userid) {
		this.userid = userid;
	}

	/**
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 *            the password to set
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return the age
	 */
	public String getAge() {
		return age;
	}

	/**
	 * @param age
	 *            the age to set
	 */
	public void setAge(String age) {
		this.age = age;
	}

	/**
	 * @return the sex
	 */
	public String getSex() {
		return sex;
	}

	/**
	 * @param sex
	 *            the sex to set
	 */
	public void setSex(String sex) {
		this.sex = sex;
	}

	public int describeContents() {
		return 0;
	}

	public void writeToParcel(Parcel out, int flags) {
		out.writeString(userid);
		out.writeString(password);
		out.writeString(age);
		out.writeString(sex);
	}

	public static final Parcelable.Creator<UserParcelable> CREATOR = new Parcelable.Creator<UserParcelable>() {
		public UserParcelable createFromParcel(Parcel in) {
			return new UserParcelable(in);
		}

		public UserParcelable[] newArray(int size) {
			return new UserParcelable[size];
		}
	};

	private UserParcelable(Parcel in) {
		userid = in.readString();
		password = in.readString();
		age = in.readString();
		sex = in.readString();
	}
}
